# Changelog This page documents changes in the Asynchronous Speech-to-Text API only. [View all changes](/changelog). ## 2024-01-06 Added - Added Whisper Fusion transcriber support that has better support for rare words. See [Submit Transcription Job](https://docs.rev.ai/api/asynchronous/) for more details ## 2024-10-08 Added - Premium Diarization feature goes out of Beta and becomes publicly available. ## 2024-10-18 Added - Added Forced Alignment feature - Added Asynchronous Speech-to-Text API `forced_alignment` submission option. ## 2024-10-02 Added - Updated US deployment of the Asynchronous Speech-to-Text API to support new low-cost transcription using Reverb Turbo model. - It can be used by specifying `"transcriber": "low_cost"` in the request. ## 2024-01-04 Added - Updated US deployment of the Asynchronous Speech-to-Text API to support asynchronous Translation and Summarization ## 2023-11-16 Added - Updated US deployment of the Asynchronous Speech-to-Text API `language` submission option to support new languages: Afrikaans, Armenian, Azerbaijani, Belarusian, Bosnian, Estonian, Galician, Icelandic, Kannada, Kazakh, Macedonian, Marathi, Nepali, Serbian, Swahili, Tagalog, Thai, Ukrainian, Urdu, Vietnamese, Welsh, and multilingual English/Spanish. - Updated US deployment of the Asynchronous Speech-to-Text API HIPAA-supported `language` list to all languages: Afrikaans, Arabic, Armenian, Azerbaijani, Belarusian, Bosnian, Bulgarian, Catalan, Croatian, Czech, Danish, Dutch, English, Estonian, Farsi, Finnish, French, Galician, German, Greek, Hebrew, Hindi, Hungarian, Icelandic, Indonesian, Italian, Japanese, Kannada, Kazakh, Korean, Latvian, Lithuanian, Macedonian, Malay, Mandarin, Marathi, Nepali, Norwegian, Polish, Portuguese, Romanian, Russian, Serbian, Slovak, Slovenian, Spanish, Swahili, Swedish, Tagalog, Tamil, Telugu, Thai, Turkish, Ukrainian, Urdu, Vietnamese, Welsh, and multilingual English/Spanish. - Updated US deployment of the Asynchronous Speech-to-Text API media file duration limits. All languages except Telugu supports file duration up to 17 hours, and Telugu supports up to 6 hours. ## 2023-09-07 Added - Updated Asynchronous Speech-to-Text API `diarization_type` submission option. ## 2023-08-10 Changed - Updated Asynchronous Speech-to-Text API to support English US (`en-us`) and English UK (`en-gb`) language values. ## 2023-07-19 Added - Updated Asynchronous Speech-to-Text API `speakers_count` submission option. ## 2023-05-15 Added - Updated Asynchronous Speech-to-Text API `speaker_channels_count` submission option documentation to include valid languages (en, es, fr). ## 2023-03-22 Added - Added a new job submission `remove_atmospherics` option to the Asynchronous Speech-to-Text API. This option enables you to remove atmospherics such as `, ` etc from the ASR output. ## 2023-01-02 Changed - Changed the submission option `verbatim` of async transcription job. Now it can be used with both `machine` and `human` transcribers. The option default value depends on the transcriber. | Transcriber | Description | | --- | --- | | `machine` | the default is **true**. To turn it off **false** should be explicitly provided | | `human` | the default is **false** To turn it on **true** should be explicitly provided | ## 2022-09-15 Removed - Deprecated `machine_v2` as an option for `transcriber`. Using `machine` is now the recommended option. Usage of `machine_v2` will silently route to `machine`. ## 2022-08-25 Added - Added support for asynchronous non-English Speech-to-Text transcription in the European Union deployment. ## 2022-08-03 Changed - `balance_seconds` response value deprecated and replaced with `free_balance`, `purchased_balance`, `total_balance` and `invoiced_balance` values instead. The `balance_seconds` value will continue to be included in the response but will always have a value of `0`. ## 2022-06-23 Added - Added a new job submission `skip_postprocessing` option to the Asynchronous Speech-to-Text API. This option enables you to skip the post-processing steps (inverse text normalization or ITN, casing and punctuation) of a transcription job. ## 2022-06-22 Changed - Human Transcription feature - `segments_to_transcribe` minimum segment length lowered from 2 minutes to 1 minute ## 2022-06-02 Added - Added support for asynchronous English Speech-to-Text API in the European Union deployment. Read more about [Rev AI's global deployments and its API limitations for its European Union deployment](https://docs.rev.ai/api/global-deployments/). ## 2022-05-09 Added - [`source_config`](/api/asynchronous/) as a replacement for the deprecated `media_url` to a provide a source URL for a job - Support for authorization headers when accessing URLs for [`source_config`](/api/asynchronous/) ## 2022-03-24 Added - `custom_vocabulary` as a possible `failure` for a failed job ## 2022-01-14 Added - (Open Beta) `machine_v2` as an option for `transcriber` to run our Reverb ASR model for improved Word Error Rate. ## 2021-12-07 Added - Human Transcription feature - (Open Beta) `transcriber` option to enable asynchronous transcription job submissions to be transcribed by a human. - (Open Beta) `verbatim` option to enable asynchronous transcription job submissions - (Open Beta) `rush` option to enable asynchronous transcription job submissions - (Open Beta) `segments_to_transcribe` option to enable asynchronous transcription job submissions ## 2021-08-06 Added - Ability to rotate access tokens ## 2021-05-26 Added - (Open Beta) Support for transcription for more [languages](/api/asynchronous/) ## 2021-04-22 Changed - Max allowed stream duration increased from 2 to 3 hours ## 2021-02-03 Changed - `language` job option is out of Open Beta and in General Availability. Added - `custom_vocabularies` job option support for Rev AI's non-English languages. These are French, German, Portuguese and Spanish. ## 2021-02-02 Added - Limit on non-English language transcription audio of 12 hours or less. ## 2020-12-04 Changed - Reverted minor breaking change introduced on November 9 involving job failure types. "duration_out_of_range" failure type has been reverted to "duration_exceeded" and a new failure type of "duration_too_short" was introduced to cover the minimum case. See [get job endpoint documentation response schema](/api/asynchronous/) for full enum of failures. ## 2020-11-18 Added - (Open Beta) Support for Spanish, Portuguese, French, and German [language transcription](/api/asynchronous/) ## 2020-11-09 Changed - Changed `"duration_exceeded"` job failure type to `"duration_out_of_range"` to account for both too short and too long durations of files. ## 2020-08-31 Added - (Open Beta) `custom_vocabulary_id` option to enable [job submission](/api/asynchronous/) with the id of a pre-completed custom vocabulary